Please update Cairo-Dock with the following patches

Bug #576647 reported by Fabounet on 2010-05-06
22
This bug affects 3 people
Affects Status Importance Assigned to Milestone
cairo-dock-plug-ins (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned

Bug Description

Binary package hint: cairo-dock-plug-ins

We have found and corrected 4 critical bugs in the package Cairo-Dock-plug-ins.
Here is a short summary:

* LP: #575178 (MP: fixed a double-free on the "cover-dir" variable of the banshee backend)
TEST CASE : deactivate the musicPlayer applet -> it crashes

* LP: #523447 (MP: fixed a memory buffer overflow when getting the cover if the artist or album has chinese/russian characters)
TEST CASE : Activate the musicPlayer applet, configure it to Rythmbox, and play a song with russian characters. For a concrete example, you can just rename any song with the names given in the bug on LP.
-> the dock will crash (it may crash some time later, depending on where it wrote in the memory)

* CD Forum: Switcher : fixed a division by 0 in the case the number of desktop is null (can occur if the dock is launched before the WM)
TEST CASE : this one is hard to test, since it requires the dock to be launched before the WM; This si quite rare, but many users have encountered it.
-> Adding a delay on startup prevents the crash, which proves that the problem is linked to the startup order of the dock and the WM.

* CD Forum: Mail : allow the dock to isolate the applet if it crashes.
TEST CASE : in some case the applet may crash (it may be a bug in libetpan though, this is not yet clear)
The patch is here to allow the dock to isolate the applet and prevents the whole application from crashing.
The test case requires to make the applet crash, which is not obvious. Anyway, the patch doesn't fix anything, it just prevents the whole application to fall in case a problem occurs in Mail (which is already used in many other applets).

All these bugs are critical since they cause the application to crash, and they involve memory corruption or memory overflow.
The patches are basic and almost 1 line each time.

Thanks in advance!

Related branches

Matthieu Baerts (matttbe) wrote :

Our branch has been updated: lp:~cairo-dock-team/cairo-dock-plug-ins/ubuntu

The attachment is the result of 'bzr diff'.

Fabounet (fabounet03) on 2010-05-06
description: updated
tags: added: verification-needed
Fabounet (fabounet03) on 2010-05-06
description: updated
description: updated
description: updated
Lionel Le Folgoc (mrpouit) wrote :

I'm not from ubuntu-sru, but fwiw, the revision should be 2.1.3-10-lucid-0ubuntu2.1, and the release lucid-proposed.

Matthieu Baerts (matttbe) wrote :

Thank you Lionel, I forgot to do that.

Our branch has been updated and the patch too (the attachment).

Matthieu Baerts (matttbe) wrote :

Hello, I've added the right corresponding patch!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cairo-dock-plug-ins - 2.1.3-10-lucid-0ubuntu3

---------------
cairo-dock-plug-ins (2.1.3-10-lucid-0ubuntu3) maverick; urgency=low

  * New bug-fixed release (LP: #576647)
  * LP: #575178 (MP: fixed a double-free on the "cover-dir" variable
               of the banshee backend)
  * LP: #523447 (MP: fixed a memory buffer overflow when getting the
               cover if the artist or album has chinese/russian characters)
  * CD Forum: Switcher : fixed a division by 0 in the case he number
    of desktop is null (can occur if the dock is launched before the WM)
  * CD Forum: Mail : allow the dock to isolate the applet if it crashes
 -- Matthieu Baerts (matttbe) <email address hidden> Fri, 07 May 2010 22:46:35 +0200

Changed in cairo-dock-plug-ins (Ubuntu Maverick):
status: New → Fix Released
Benjamin Drung (bdrung) wrote :

uploaded to lucid-proposed

Matthieu Baerts (matttbe) wrote :

@Benjamin: Thank you for your help!

Jonathan Riddell (jr) wrote :

waiting on ack from ubuntu-sru before accepting into -proposed

Accepted cairo-dock-plug-ins into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in cairo-dock-plug-ins (Ubuntu Lucid):
status: New → Fix Committed
Matthieu Baerts (matttbe) wrote :

@Martin: Thank you for you help!

Martin Pitt (pitti) wrote :

Anyone who can test this?

Matthieu Baerts (matttbe) wrote :

@ Martin: I've already tested it by compiling the source code with the patch and all was fine.
And now I've just installed this package from "Proposed" repositories on another computer with a fresh install and all these bugs are fixed! (but it should be easier if this package is copy to Universe repository ;) )

Thank you

Matthieu Baerts [2010-07-29 20:45 -0000]:
> And now I've just installed this package from "Proposed" repositories on another computer with a fresh install and all these bugs are fixed! (but it should be easier if this package is copy to Universe repository ;) )

Thanks for testing. It will be copied to -updates if/when we have
enough confirmation that the -proposed package works, wasn't misbuilt,
etc.

--
Martin Pitt | http://www.piware.de
Ubuntu Developer (www.ubuntu.com) | Debian Developer (www.debian.org)

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cairo-dock-plug-ins - 2.1.3-10-lucid-0ubuntu2.1

---------------
cairo-dock-plug-ins (2.1.3-10-lucid-0ubuntu2.1) lucid-proposed; urgency=low

  * New bug-fixed release (LP: #576647)
  * LP: #575178 (MP: fixed a double-free on the "cover-dir" variable
               of the banshee backend)
  * LP: #523447 (MP: fixed a memory buffer overflow when getting the
               cover if the artist or album has chinese/russian characters)
  * CD Forum: Switcher : fixed a division by 0 in the case he number
    of desktop is null (can occur if the dock is launched before the WM)
  * CD Forum: Mail : allow the dock to isolate the applet if it crashes
 -- Matthieu Baerts (matttbe) <email address hidden> Fri, 07 May 2010 22:46:35 +0200

Changed in cairo-dock-plug-ins (Ubuntu Lucid):
status: Fix Committed → Fix Released
tags: added: testcase
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers